| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ImageLevels Class Reference

## Public Member Functions
| ImageLevels (bool sixteenBit)
double | getLevelGammaValue (int channel)
int | getLevelHighInputValue (int channel)
int | getLevelHighOutputValue (int channel)
int | getLevelLowInputValue (int channel)
int | getLevelLowOutputValue (int channel)
bool | isDirty ()
bool | isSixteenBits ()
void | levelsAuto (const ImageHistogram *const hist)
void | levelsBlackToneAdjustByColors (int channel, const DColor &color)
void | levelsCalculateTransfers ()
void | levelsChannelAuto (const ImageHistogram *const hist, int channel)
void | levelsChannelReset (int channel)
| Methods to manipulate the levels data.
void | levelsGrayToneAdjustByColors (int channel, const DColor &color)
int | levelsInputFromColor (int channel, const DColor &color)
float | levelsLutFunc (int nchannels, int channel, float value)
void | levelsLutProcess (uchar *const srcPR, uchar *const destPR, uint w, uint h)
void | levelsLutSetup (int nchannels)
void | levelsWhiteToneAdjustByColors (int channel, const DColor &color)
bool | loadLevelsFromGimpLevelsFile (const QUrl &fileUrl)
void | reset ()
bool | saveLevelsToGimpLevelsFile (const QUrl &fileUrl)
| Methods to save/load the levels values to/from a Gimp levels text file.
void | setLevelGammaValue (int channel, double val)
| Methods to set manually the levels values.
void | setLevelHighInputValue (int channel, int val)
void | setLevelHighOutputValue (int channel, int val)
void | setLevelLowInputValue (int channel, int val)
void | setLevelLowOutputValue (int channel, int val)